MDL-61307 core_privacy: Add legacy polyfill for contrib plugins
authorAndrew Nicols <andrew@nicols.co.uk>
Thu, 1 Mar 2018 01:29:01 +0000 (09:29 +0800)
committerAndrew Nicols <andrew@nicols.co.uk>
Fri, 9 Mar 2018 04:24:37 +0000 (12:24 +0800)
commit65774d72b1838e26b19f9c5b6b976fbdb9ae5c86
tree878849b3a4b7741147688e2f0439125b77ce3c6e
parent0f59848d290eda051a7dd7d1a9b78529bac48f39
MDL-61307 core_privacy: Add legacy polyfill for contrib plugins

This legacy polyfill allows plugin developers who release a single
branch to work with multiple versions of Moodle to support the API in
both Moodle 3.3 with PHP 5.6, and later versions.
privacy/classes/local/legacy_polyfill.php [new file with mode: 0644]
privacy/tests/legacy_polyfill_test.php [new file with mode: 0644]